summaryrefslogtreecommitdiffstats
path: root/multimedia/gnome-mplayer/gnome-mplayer.SlackBuild
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:40:46 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:40:46 -0400
commit786423321a68729d49f96632183777de82c9a2a0 (patch)
tree338746f09bcc97ea4c2e7722087698ddd0427fa7 /multimedia/gnome-mplayer/gnome-mplayer.SlackBuild
parent2514ca5029509bb3e7c7a3b6c55b86c29e949f8c (diff)
downloadslackbuilds-786423321a68729d49f96632183777de82c9a2a0.tar.gz
slackbuilds-786423321a68729d49f96632183777de82c9a2a0.tar.xz
multimedia/gnome-mplayer: Fixed for bash4.
Diffstat (limited to 'multimedia/gnome-mplayer/gnome-mplayer.SlackBuild')
-rw-r--r--multimedia/gnome-mplayer/gnome-mplayer.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/multimedia/gnome-mplayer/gnome-mplayer.SlackBuild b/multimedia/gnome-mplayer/gnome-mplayer.SlackBuild
index 597eac70be..a103c44131 100644
--- a/multimedia/gnome-mplayer/gnome-mplayer.SlackBuild
+++ b/multimedia/gnome-mplayer/gnome-mplayer.SlackBuild
@@ -56,12 +56,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;